//
// period_locker.h
//
#include <stdbool.h>
#include <stdint.h>

typedef void* period_locker_t;

#define	LOCK_PERIOD	((uint32_t)3000)
#define	READY_PERIOD	((uint32_t)25000)
#define MAX_LOCK_PERIOD	READY_PERIOD

extern period_locker_t	PeriodLocker_Create();
extern void	PeriodLocker_Destroy(period_locker_t locker,
	void (*shared_res_free_callback(void*)), void* cbArg);

extern bool	PeriodLocker_AcquireLock(period_locker_t locker);
extern void	PeriodLocker_ReserveReleaseLock(period_locker_t locker);

//
// End of File
//
